"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _get = function get(object, property, receiver) { if (object === null) object = Function.prototype; var desc = Object.getOwnPropertyDescriptor(object, property); if (desc === undefined) { var parent = Object.getPrototypeOf(object); if (parent === null) { return undefined; } else { return get(parent, property, receiver); } } else if ("value" in desc) { return desc.value; } else { var getter = desc.get; if (getter === undefined) { return undefined; } return getter.call(receiver); } };

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

function titleDecorator(title) {
  return function (component) {
    var _class, _temp;

    var ViewComponent = (_temp = _class = function (_component) {
      _inherits(ViewComponent, _component);

      function ViewComponent(props) {
        _classCallCheck(this, ViewComponent);

        var _this = _possibleConstructorReturn(this, (ViewComponent.__proto__ || Object.getPrototypeOf(ViewComponent)).call(this, props));

        _this.setTitle();
        return _this;
      }

      _createClass(ViewComponent, [{
        key: "setTitle",
        value: function setTitle() {
          //多语言处理
          var t_title = title;
          if (this.t) {
            t_title = this.t(title);
          }
          document.title = t_title;
        }
      }, {
        key: "render",
        value: function render() {
          if (this.props.changedLocale) {
            this.setTitle();
          }
          return _get(ViewComponent.prototype.__proto__ || Object.getPrototypeOf(ViewComponent.prototype), "render", this).call(this);
        }
      }]);

      return ViewComponent;
    }(component), _class.displayName = component.displayName || component.name, _temp);

    return ViewComponent;
  };
}

exports.default = titleDecorator;